"""
Domain layer for the Sourcerer application.

This package contains the core business logic, entities, and service interfaces
for the application. It defines the domain model and business rules independent
of any external frameworks or technologies.

The domain layer is organized into several subpackages:
- file_system: File system entities and services
- storage_provider: Cloud storage provider entities and services
- access_credentials: Authentication and credential management
- shared: Common entities and utilities shared across the domain
"""
