"""
Infrastructure layer for the Sourcerer application.

This package contains implementations of the interfaces defined in the domain layer,
providing concrete implementations for services, repositories, and other components.
It handles interactions with external systems, databases, and frameworks.

The infrastructure layer is organized into several subpackages:
- file_system: File system service implementations
- storage_provider: Cloud storage provider service implementations
- access_credentials: Authentication and credential service implementations
- db: Database models, configuration, and utilities
"""
